For Centos/Ubuntu/Debian!
可喜可贺!原本只支持Centos的脚本现在终于也能在Debian/Ubuntu上使用了~!暂未时间改图,有时间再改哦~

安装方法:

安装方法请参照GitHub
1.安装LNMP一键包示例:

yum -y install git
git clone https://github.com/junorz/lanmp.git /root/.lanmp
chmod -R +x /root/.lanmp
bash /root/.lanmp/lnmp.sh

2.如何更新脚本到最新

cd /root/.lanmp
git pull

自1.5.6版本后已不再单独释出压缩包,请以这种方式进行更新。

更新历史:

Version 1.5.6 - 2015/3/23 Final
今后不再单独释出新版本,请使用git命令直接取得最新版本。详情请参照GitHub
1.分步脚本中的预安装环境安装完成后会询问是否删除下载在/root目录下的源文件了。
2.在分步安装mariadb脚本中,现在在编译之前询问用户默认root密码,而不是在安装之后了。
3.在php.ini中,脚本超时时间(max_execution_time)现在默认为300秒。
4.版本更新:
*cmake更新到3.2.1

*phpmyadmin版本更新到4.3.12

Version 1.5.5 - 2015/3/19
1.更正语法。
2.现在脚本会判断输入的Nginx版本是否存在了,若不存在则会退出安装。

3.安装完成后会询问是否删除下载在/root目录下的源文件了。

Version 1.5.1 - 2015/3/10
1.更改php启动名称为php-fpm,避免与/usr/local/php/bin/php混淆。
2.卸载PHP-with-Nginx时会删除/usr/bin/php-fpm了。

3.编译PHP时现在会默认安装pear了。

Version 1.5 - 2015/3/8
1.第一个稳定版本。
2.编译环境增加cyrus-sasl-devel。如果未安装此包,在编译libmemcached时会使
这个库不支持sasl,进而编译memcached时报错。
3.Nginx版本可自定义,请参照Nginx官网输入正确的版本号即可。(默认安装1.62)
4.Apache2.4.12/MariaDB10.0.17/PHP5.6.6皆为最新版本。
5.增加一键包安装方式。您可以一键安装LNMP或LAMP环境。

一键包安装的是MariaDB二进制版本,如果你需要自己编译,可以使用单独安装脚本。

Version 1.2 - 2015/3/3
1.小内存VPS上偶见MariaDB内存不足编译失败,故为MariaDB添加二进制版本。
二进制版本布署方便快速,推荐使用。

2.安装源全部换成sourceforge。

Version 1.1 - 2015/3/2
1.安装Apache之后会自动为其配置httpd.conf了。
2.安装PHP之后会自动为其配置php.ini/Nginx.conf/httpd.conf了。

3.现在安装完MariaDB之后会提示输入root初始密码,不用再手动配置了。

Version 1.0 - 2015/3/1

初步完成每个模块的安装脚本

采用分步安装注意事项:
1、请详细解读并了解脚本所执行代码的意义之后使用。
2、此脚本在Centos6.4/Centos7上测试通过。Debian/Ubuntu系列系统请勿使用。
3、请不要把Nginx和Apache一起安装。
4、因为PHP在configure的时候需要给出Apache/MariaDB的相关文件目录,如果不是使用本页提供脚本安装的Apache/MariaDB,可能会导致PHP编译失败。
5、PHP一定要最后安装。
6、请登录到root用户。

最后修改:2016 年 07 月 21 日 08 : 42 AM
如果觉得我的文章对你有用,请随意赞赏